Bug 592100 - gstreamer won't play durian project OGV files
gstreamer won't play durian project OGV files
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gstreamer (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Benjamin Otte
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2010-05-13 16:30 EDT by Máirín Duffy
Modified: 2017-12-06 06:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-06 06:20:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2010-05-13 16:30:53 EDT
Description of problem:
The Durian Blender Foundation project just released OGV trailers of their movie. They don't play in RHEL 6 totem. They do play in newer (non RHEL 6) versions of totem. I talked to Bastien and he took a look at the files and he thinks it's a (since fixed) gstreamer bug.

The movies are here:

if i try to play them from totem on the command line i get:

$ totem sintel_trailer-1080p.ogv 
** Message: Error: Could not decode stream.
gsttheoradec.c(1118): theora_handle_data_packet (): /GstPlayBin2:play/GstURIDecodeBin:uridecodebin0/GstDecodeBin2:decodebin20/GstTheoraDec:theoradec0:
no header sent yet

if i try using the following command, it stays locked at 0% buffering (for multiple mirror URLs of the video):

$ gst-launch playbin2 uri=http://ftp.nluug.nl/ftp/graphics/blender/apricot/trailer/sintel_trailer-1080p.ogv
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
buffering... 0%  

Version-Release number of selected component (if applicable):

How reproducible:
Very, just try the OGV videos at the URL.
Comment 2 RHEL Product and Program Management 2010-05-13 18:54:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 3 Matěj Cepl 2010-05-14 09:54:17 EDT
When I try to move forward the file (http://planet.brq.redhat.com/blog/video/IOS_2010-05-04.ogv) by dragging the thermometer totem freezes for minute or so and then it jumps to the start.

Just to emphasize, it plays the file (locally stored or over http) but doesn't move through it (even when locally stored).
Comment 4 RHEL Product and Program Management 2010-07-15 10:26:41 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 5 Jan Kurik 2017-12-06 06:20:02 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:


This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:


Note You need to log in before you can comment on or make changes to this bug.